ARCore Prerequisites

Support for Android devices is not new to the Unreal Engine; however, there are some additional requirements when working with augmented reality and Unreal. In addition to the standard Unreal Engine configuration for Android, there is an additional step of installing the ARCore app on the Android device. If you are already working with Unreal Engine and Android devices, this may be the only step that is required to start working with augmented reality and Unreal Engine.

General Prerequisites

The basic configuration of Unreal Engine and Android devices is covered in detail in the Android Game Development section of the Unreal Engine documentation.

ARCore 1.1 Prerequisites
  • A development machine that meets our Recommended Specifications.
  • Unreal Engine 4.19 or greater installed.
  • Codeworks for Android installed.
  • Android Version 24 or greater installed.
  • A supported, configured, and connected handheld Android device.
ARCore 1.2 Prerequisites
  • A development machine that meets our Recommended Specifications.
  • Unreal Engine 4.20 or greater installed.
  • Codeworks for Android installed.
  • Android Version 24 or greater installed.
  • A supported, configured, and connected handheld Android device.

Supported: Use the Supported Devices link to identify the current list of Android devices supported for ARCore. 

Configured: Unique to augmented reality with Unreal Engine is the requirement to install the ARCore app on the device.
  • ARCore can be downloaded from the Google Play Store manually.
  • Or, if ARCore is not detected on the handheld device, the device will prompt to download ARCore from Google Play Store.